|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QCheckBox

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QCheckBox class reference

### Public Types

- enum ToggleState { Off, NoChange, On }

### Public Functions

- QCheckBox ( QWidget * parent, const char * name )
- QCheckBox ( const QString & text, QWidget * parent, const char * name )
- void setNoChange ()
- void setState ( ToggleState state )
- ToggleState state () const

- 9 public functions inherited from QAbstractButton
- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Type Documentation

### enum QCheckBox::ToggleState

Constant | Value | Description
--- | --- | ---
`QCheckBox::Off` | `Qt::Unchecked` | Use Qt::Unchecked instead.
`QCheckBox::NoChange` | `Qt::PartiallyChecked` | Use Qt::PartiallyChecked instead.
`QCheckBox::On` | `Qt::Checked` | Use Qt::Checked instead.

## Member Function Documentation

### QCheckBox::QCheckBox ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QCheckBox::QCheckBox ( const QString & text, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QCheckBox::setNoChange ()

Use setCheckState() instead.

### void QCheckBox::setState ( ToggleState state )

Use setCheckState() instead.

See also state().

### ToggleState QCheckBox::state () const

Use checkState() instead.

See also setState().